Subject: Re: Which Subject name type is more secure

From: "Mohammad Awad" <[email-masked]>
Date: Mon, 17 Mar 2003 13:16:28 +0200

Andres,
Thank you for this clarification.
Regarding the FQDN IDENTITY stealing and exploiting it in a real attack, 
have somebody heard about real incident reports?
Thanks in advance.

>From: "Anders Rundgren" <[email-masked]>
>To: "Mohammad Awad" <[email-masked]>
>Subject: Re: Which Subject name type is more secure
>Date: Mon, 17 Mar 2003 08:40:49 +0100
>
>Mohammad,
>If I were to do something like this I could think of using
>IP address for securing the _machine_.  I.e. you know that this
>message was sent from this machine.  To use IP addresses
>for humans is of course possible but
>at least I have never heard about such a system.  What is
>the intended application of IP-based identities for humans?
>e-mail is the cheapest possible way to create reasonable
>good links to a subject that also are fairly mobile and
>even globally unique.
>
>Anders
>
>----- Original Message -----
>From: "Mohammad Awad" <[email-masked]>
>To: <[email-masked]>
>Sent: Monday, March 17, 2003 08:13
>Subject: Re: Which Subject name type is more secure
>
>
>Andres,
>I think you made it clear now:
>1- that it's not so easy to gain both of the two advantages at a time. 
>I.e.,
>not always the selected identity which is portable, can provide a GOOD LINK
>to the machine at which the human works at.
>2- we can sort IDENTITY types in this order: (the first the more portable
>but the worse linking to the machine):
>   the (BIOMETRIC METHODS)  then  (FQDN)  then  (IP ADDRESS)
>But at sometimes when we can guarantee that our machine would be really
>fixed at a certain IP ADDRESS and that it is hosting a public service, may
>it be more suitable then to choose the (less portable but better linking)
>identity which is IP ADDRESS? or that is not a practical issue for another
>reason?
>Thanks in advance.
>Mohammad Awad.
>
>
>
>
>
>
>
>
> >From: "Anders Rundgren" <[email-masked]>
> >To: "Mohammad Awad" <[email-masked]>
> >Subject: Re: Which Subject name type is more secure
> >Date: Mon, 17 Mar 2003 06:23:08 +0100
> >
> >Mohammad,
> >I think I understand the scenario now.
> >It is during the registration process at a CA.
> >My only comment to this is that due to man-in-the-middle
> >attacks an attacker may be able to change user data
> >so that the CA issues an incorrect certficate if the subject
> >identity is given by the user.  But I don't think this is
> >typical as a CA should have an out-of-band way to
> >connect to the subject as well.  For high-value stuff
> >you may have to show up using a valid drivers license
> >etc.  For e-mail certificates you must have a proper
> >mail address.  I think that you could theoretically
> >fake e-mail by attacks in the CA end.
> >
> >To certify IP addresess is not very useful even if it gives
> >a good link to the user.  You probably want to use your
> >id on different places where you will have another IP.
> >
> >The only way ahead is better methods for binding the
> >subject to an identity and here you have national registries,
> >birth certificates, biometrics etc.  This is a weak link as
> >you have also found out.
> >
> >Anders
> >
> >----- Original Message -----
> >From: "Mohammad Awad" <[email-masked]>
> >To: <[email-masked]>
> >Sent: Sunday, March 16, 2003 22:34
> >Subject: Re: Which Subject name type is more secure
> >
> >
> >Andres,
> >Well, I think this is clear and no one can break the private key of the
> >entity. But the scenario I was talking about is an attacker succeeded to
> >spoof both the DNS and the certificate authority, no matter how, and
> >enrolled a certificate pretending that it is the entity having the 
>IDENTITY
> >abc.ABC.com of course with a private key generated for his own. Then in
> >this
> >scenario, I was asking do anybody agree with me that having the 
>certificate
> >registered with this IDENTITY which is an FQDN, could enable the attacker
> >to
> >perform a real security breach because it's harder to others to disclose
> >his
> >crime. On the other hand if the attacker also has spoofed the certificate
> >authority and enrolled a certificate but in this turn, having the subject
> >name being a forged IP address which the attacker intends to use in
> >attacking victims, I think it'll be harder for him to perform successful
> >breaches since any replies to that forged address that he will 
>impersonate,
> >would not really reach the attacker, but the genune machine.
> >So I was wondering whether it's more restrict for security to use IP
> >address
> >digital certificates rather than FQDN ones. Do anybody agree for that?
> >Thanks
> >Mohammad
> >
> >
> >
> >
> >
> >
> > >From: "Anders Rundgren" <[email-masked]>
> > >To: "Mohammad Awad" <[email-masked]>
> > >Subject: Re: Which Subject name type is more secure
> > >Date: Sun, 16 Mar 2003 12:10:41 +0100
> > >
> > >Mohammad,
> > >
> > >This is how I look on this:
> > >
> > >The security in PKI is assured by the use of the private key
> > >and nothing else.  Only the real subject have the proper private key.
> > >
> > >That is, using HTTPS/SSL client-authentication is consered as
> > >unbreakable.  Not even a man-in-the middle has a chance
> > >to impersonate a user.
> > >
> > >regards
> > >Anders
> > >
> > >----- Original Message -----
> > >From: "Mohammad Awad" <[email-masked]>
> > >To: <[email-masked]>
> > >Sent: Sunday, March 16, 2003 08:44
> > >Subject: Which Subject name type is more secure
> > >
> > >
> > >
> > >Hi All,
> > >I've a question regarding the usage of the X.509 certificate. What is
> > >considered more secure against the identity stealing threat, to have 
>the
> > >alternate subject name of the certificate registering the IP address of
> >the
> > >entity, or the FQDN name? I.e., which of those two (IP, FQDN) result in
> > >more
> > >dangerous security breach for when an attacker could steal them.
> > >My understanding is that whenever the attacker intend to steal a 
>victim's
> > >IP
> > >address, it never can exploit this incident by any gain beyond DoS,
> >because
> > >conceptually the attacker could never receive the packets targeted to 
>the
> > >stolen IP address. On the other hand, by spoofing the DNS system, the
> > >attacker is able to impersonate the victim's FQDN in both sending and
> > >receiving packets, so can perform a real security breach.
> > >Could any body kindly provide me with corrections for my understanding.
> > >Thank you all.
> > >Moham. Awad.
> > >
> > >
> > >
> > >
> > >
> > >_________________________________________________________________
> > >Help STOP SPAM with the new MSN 8 and get 2 months FREE*
> > >http://join.msn.com/?page=features/junkmail
> > >
> > >
> >
> >
> >_________________________________________________________________
> >The new MSN 8: advanced junk mail protection and 2 months FREE*
> >http://join.msn.com/?page=features/junkmail
> >
> >
>
>
>_________________________________________________________________
>The new MSN 8: smart spam protection and 2 months FREE*
>http://join.msn.com/?page=features/junkmail
>
>

_________________________________________________________________
MSN 8 with e-mail virus protection service: 2 months FREE* 
http://join.msn.com/?page=features/virus

---

From: "Mohammad Awad" <[email-masked]>
Date: Thu, 20 Mar 2003 10:44:39 +0200

Jean-Marc wrote:
>>>If one puts only the DNS name in the cert, and then uses the key in the 
>>>cert to authenticate the machine, then a DNS attack will not succeed.
>>
>>And what about if the attacker begins its attack by issuing a certificate 
>>for his own claiming that he is entityA.com? I think the attack can then 
>>succeed.
>
>Here, we assume the attaquer can not break the signature and can not get 
>the victim to trust a CA that is ready to issue the attaquer a fraudulous 
>certificate.
>
>If any of the two is feasible, then whatever added complexity we may 
>imagine, it will NOT be possible to protect the victim with a PKI based 
>solution.
I agree with that. But I've thought that if we ever have got a compromised 
CA that has issued Certs for forged identities, we would be in less 
dangerous state if the attacker had provided in the cert, a forged IP 
address as an identity. That is because, when the attacker ever tries to use 
that forged cert in any break, he would be quickly disclosed, because he 
should keep using the same forged IP ADDRESS in the (src address field of 
each packet) in his traffic. Isn't that hard for any attacker, to use 
another (FORGED IP) rather than his (ORIGINAL ONE) and expect to have 
replies from the entities he communicates, to his ORIGINAL IP ADDRESS 
instead?
>>>However, if one puts in only the IP address, then a DNS attack could 
>>>cause the wrong address to be returned in response to the name-to-address 
>>>mapping, and a valid cert for the "wrong" address would not provide the 
>>>security the user probably envisioned.
>>
>>I think now, that this is the case of the cert being maintained in the DNS 
>>and another machine is retrieving it to authenticate the machine in 
>>question. But in the case of the cert is issued for the IP address of the 
>>entity, I think it should have published its CERT in the IN-ADDR.ARPA DNS 
>>reverse domain, (i.e., indexed by the IP address of the machine), not in 
>>the conventional domain, (indexed by the FQDN). Then when another machine 
>>receives traffic from 217.1.1.1, it should seek its cert record in the 
>>1.1.1.217.IN-ADDR.ARPA (of course if it instructed  that the cert should 
>>be there).
>
>Why would reverse DNS be more secure than forward DNS ?
I did not mean that reverse would be more secure, only more appropriate 
because in the scenario I was talking about a machine (call it 
initiator)(which has got a CERT for IP) is trying to contact another machine 
(call it responder) and the responder needs to verify the initiator's CERT 
(say to establish an SA for IPsec). At the early moments of negotiation, the 
receiver cannot know any identity for the initiator except for that ITS IP 
ADDRESS IS (SAY) 217.1.1.1. So, in order to validate its CERT (which is in 
the DNS), the responder must go to the inverse domain to search for the CERT 
RR indexed by 1.1.1.217.IN-ADDR.ARPA, not in the forward domain which is 
indexed by the FQDN identities that the respoder cannot yet know.
>How would we populate each of the record ?
>Wouldn't certificate be a bit too much data for DNS server records ?
I think these issues are explained in RFC2538.

>What are you trying to achieve here ? I hope at least the record for 
>1.1.1.217.IN-ADDR.ARPA will hold a certificate for 217.1.1.1 and not for 
>another IP address, but what would it proove ?
What it prove: it will facilitate retrieving the Cert of an entity about 
which nothing is ever known except for its IP Address.
>
>Anyway, the logic of trying to secure the IP adress instead of the name is 
>flawed and can not be saved.
>The point is that people start the connexion from a domain name, they never 
>start directly from an IP address.
In many cases, people really do so. But in some other cases, protocol such 
as IPsec may find it helpful to immediately catch the CERT of an entity 
without trying first to know what FQDN does it have.

_________________________________________________________________
Add photos to your e-mail with MSN 8. Get 2 months FREE*. 
http://join.msn.com/?page=features/featuredemail